
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>js事件冒泡、事件捕获和阻止默认事件详解_javascript技巧 / iVAN</title>

    <meta name="description" content="js事件冒泡、事件捕获和阻止默认事件详解_javascript技巧 谈起JavaScript的 事件,事件冒泡.事件捕获.阻止默认事件这三个话题,无论是面试还是在平时的工作中,都很难避免. 1.事件冒泡先来看一段代码: var $input = document.getElementsByTagName(&quot;input&quot;)[0]; var $div = document.getElementsByTagName(&quot;div&quot;)[0]; var $body = document.getElementsByTagName(&quo ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">js事件冒泡、事件捕获和阻止默认事件详解_javascript技巧</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>谈起JavaScript的 事件，事件冒泡、事件捕获、阻止默认事件这三个话题，无论是面试还是在平时的工作中，都很难避免。</p>
<p><strong>1.事件冒泡<br /></strong>先来看一段代码：</p>
<pre>
var $input = document.getElementsByTagName("input")[0];
var $div = document.getElementsByTagName("div")[0];
var $body = document.getElementsByTagName("body")[0];

$input.onclick = function(e){
 this.style.border = "5px solid red"
 var e = e || window.e;
 alert("red")
}
 $div.onclick = function(e){
 this.style.border = "5px solid green"
 alert("green")
}
$body.onclick = function(e){
 this.style.border = "5px solid yellow"
 alert("yellow")
}
</pre>
<p>html代码</p>
<pre>
&lt;div&gt;
 &lt;input type="button" value="测试事件冒泡" /&gt;
&lt;/div&gt; 依次弹出”red“,"green","yellow"。
</pre>
<p>你的本意是触发button这个元素，却连同父元素绑定的事件一同触发。这就是事件冒泡。<br />
如果对input的事件绑定改为：</p>
<pre>
$input.onclick = function(e){
 this.style.border = "5px solid red"
 var e = e || window.e;
 alert("red")
 e.stopPropagation();
}
</pre>
<p>这个时候只会弹出”red“，因为阻止了事件冒泡。</p>
<p><strong>2.事件捕获<br /></strong>既然有事件的冒泡，也可以有事件的捕获，这是一个相反的过程。区别是从顶层元素到目标元素或者从目标元素到顶层元素。<br />
来看一段代码：</p>
<pre>
$input.addEventListener("click", function(){
 this.style.border = "5px solid red";
 alert("red")
}, true)
$div.addEventListener("click", function(){
 this.style.border = "5px solid green";
 alert("green")
}, true)
$body.addEventListener("click", function(){
 this.style.border = "5px solid yellow";
 alert("yellow")
}, true)
</pre>
<p>这个时候依次弹出”yellow“,"green","red"，这就是事件的捕获。</p>
<p><strong>3.阻止默认事件<br /></strong>有一些html元素默认的行为，比如说a标签，点击后有跳转动作；form表单中的submit类型的input有一个默认提交跳转事件；reset类型的input有重置表单行为。如果你想阻止这些浏览器默认行为，JavaScript为你提供了方法。</p>
<pre>
var $a = document.getElementsByTagName("a")[0];
$a.onclick = function(e){
 alert("跳转动作被我阻止了")
 e.preventDefault();
 //return false;//也可以
}

&lt;a href="http://keleyi.com"&gt;柯乐义&lt;/a&gt;默认事件没有了。
</pre>
<p>既然return false 和 e.preventDefault()都是一样的效果，那它们有区别吗？当然有。<br />
仅仅是在HTML事件属性 和 DOM0级事件处理方法中 才能通过返回 return false 的形式组织事件宿主的默认行为。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2ODQ5NDQzNDU0OS5qcGc=.jpg"></p>
<p>以上就是本文的全部内容，希望对大家的学习有所帮助，也希望大家多多支持。</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索js阻止默认事件<br />
                    ，                js事件冒泡<br />
                                    js事件捕获<br />
                                    javascript 冒泡 捕获、javascript 阻止冒泡、事件冒泡与事件捕获、事件捕获和事件冒泡、冒泡和捕获，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 08:08:13</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/js%e9%98%bb%e6%ad%a2%e9%bb%98%e8%ae%a4%e4%ba%8b%e4%bb%b6/" title="js阻止默认事件">js阻止默认事件</a>, <a href="https://www.iamivan.net/tag/js%e4%ba%8b%e4%bb%b6%e6%8d%95%e8%8e%b7/" title="js事件捕获">js事件捕获</a>, <a href="https://www.iamivan.net/tag/js%e4%ba%8b%e4%bb%b6%e5%86%92%e6%b3%a1/" title="js事件冒泡">js事件冒泡</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>js事件冒泡、事件捕获和阻止默认事件详解_javascript技巧的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3ZJ5kz.html" rel="bookmark">JS定时器使用&comma;定时定点&comma;固定时刻&comma;循环执行详解&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文概述:本文主要介绍通过JS实现定时定点执行,在某一个固定时刻执行某个函数的方法.比如说在下一个整点执行,在每一个整点执行,每隔10分钟定时执行的方法. JavaScript中有两个定时器方法:setTimeout()和setInterval(). 这两个方法都可以用来实现在一个固定时间段之后去执行JavaScript.实际上,setTimeout和setInterval的语法相同.它们都有两个参数,一个是将要执行的代码字符串,或者函数名,还有一个是以毫秒为单位的时间间隔,当过了那个时间段之后			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyWm88z.html" rel="bookmark">js判断是否为空和typeof的用法&lpar;详解&rpar;&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				(1)typeof用法 typeof的运算数未定义,返回的就是 &quot;undefined&quot;. 运算数为数字 typeof(x) = &quot;number&quot; 字符串 typeof(x) = &quot;string&quot; 布尔值 typeof(x) = &quot;boolean&quot; 对象,数组和null typeof(x) = &quot;object&quot; 函数 typeof(x) = &quot;function&quot; (2)js判断是否为空 v			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mgy1lZz.html" rel="bookmark">在js里怎么实现Xcode里的callFuncN方法&lpar;详解&rpar;&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本人使用的WebStorm编辑器,里面没有callFuncN, 不记得Lua是否支持callFuncN,如果不支持相信应该能用同样的方法做到. 废话不多说,贴代码: loadDown : function () { var dis = this.left_move.getPositionY() - this.left.getPositionY(); // 得到一个距离 var act1 = new cc.moveBy(0.5,cc.p(0,-dis)); var act2 = cc.callFu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXwBwjM.html" rel="bookmark">JS高级调试技巧：捕获和分析 JavaScript Error详解&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				反正只要 JavaScript 出错后刷新不复现,那用户就可以通过刷新解决问题,浏览器不会崩溃,当没有发生过好了.这种假设在 Single Page App 流行之前还是成立的.现在的 Single Page App 运行一段时间后状态复杂无比,用户可能进行了若干输入操作才来到这里的,说刷新就刷新啊?之前的操作岂不要完全重做?所以我们还是有必要捕获和分析这些异常信息的,然后我们就可以修改代码避免影响用户体验. 捕获异常的方式 我们自己写的 throw new Error() 想要捕获当然可以捕获			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQwZ6rp.html" rel="bookmark">鼠标事件的screenY&comma;pageY&comma;clientY&comma;layerY&comma;offsetY属性详解&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				screenY          鼠标相对于显示器屏幕左上角的偏移 pageY          鼠标相对于页面左上角的偏移 (其值不会受滚动条的影响)          IE9之下并不支持这个属性          但是可以写点代码计算出来. jQuery中的实现: 复制代码 代码如下:  // Calculate pageX/Y if missing and clientX/Y available  if ( event.pageX == null &amp;&amp; original.client			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEYEPqb.html" rel="bookmark">JS小游戏之仙剑翻牌源码详解&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了JS小游戏的仙剑翻牌源码,是一款非常优秀的游戏源码.分享给大家供大家参考.具体如下: 一.游戏介绍: 这是一个翻牌配对游戏,共十关. 1.游戏随机从42张牌中抽取9张进行游戏,每组为2张相同的牌,共18张牌. 2.连续翻到两张相同的为胜利,当9组全部翻到则过关.如不是翻到连续两张相同的,则需要重新翻. 3.游戏共有10关,在规定时间内通过为挑战成功. 4.如果某关在规定时间内没有通过,则会从当前关继续游戏. 5.游戏中的卡牌图片与音乐均为大宇公司所有. 6.需要支持html5的浏览			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pk0Bxoz.html" rel="bookmark">JS实现焦点图轮播效果的方法详解&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了JS实现焦点图轮播效果的方法.分享给大家供大家参考,具体如下: 效果图如下: 一.所用到的知识点 1.DOM操作 2.定时器 3.事件运用 4.Js动画 5.函数递归 6.无限滚动大法 二.结构和样式 &lt;div id=&quot;banner&quot; class=&quot;banner&quot;&gt; &lt;ul id=&quot;list-banner&quot; class=&quot;list-banner fn-clear&quot; style=&quot;lef			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7YRPdM.html" rel="bookmark">JS Pro-深入面向对象的程序设计之继承的详解&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原型链(prototype chaining): 利用原型来继承属性和方法.回顾一下构造函数(constructor),原型对象(prototype)和实例(instance)的关系.每一个构造函数都有一个prototype属性,该属性指向一个prototype对象:prototype对象也有constructor属性,指向该函数:而实例也有一个内部指针(__proto__)指向这个prototype对象.如果这个prototype对象是另外一个对象的实例会是怎样的呢?这样该prototype对			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXK6GjM.html" rel="bookmark">js&sol;jquery解析json和数组格式的方法详解&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在解析之前,我们必须弄清楚几个概念:数组,关联数组以及json之间有哪些区别和联系点? 一.概念介绍1.数组 语法: ECMAScript v3规定了数组直接量的语法,JavaScript 1.2和JScript 3.0实现了它.可以把-个用逗号分隔的表达式列表放在方括号中,创建并初始化-个数组.这些表达式的值将成为数组元素.例如: var a = [1, true, 'abc']; 具体操作查看API. ps:必须方括号隔开. 2.关联数组 1.语法:var myhash= {&quot;key1″:&			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zenAxwb.html" rel="bookmark">js console&period;log打印对像与数组用法详解&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了js console.log打印对像与数组用法.分享给大家供大家参考,具体如下: console.log是什么东西,其实就是一个打印js数组和对像的函数而已,就像是php的print_r,var_dump.console.log这个函数本身没什么好说的,这篇博客告诉大家怎么去用这个函数.在说这个函数之前,我想大家用的最多查看js输出,是alert吧,但是alert,只能弹string或者是int的 一.测试文件test.html &lt;html xmlns=&quot;http://www			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bBKOaM.html" rel="bookmark" class="title">Server Application Error详细解决办法</a>
					<div>
						application|error|server|解决 简介IIS5的HTTP 500内部服务器错误是我们经常碰到的错误之一,它的主要错误表现就是ASP程序不能浏览但HTM静态网页不受影响.另外当错误 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMyKJPz.html" rel="bookmark" class="title">一个struts后台应用场景处理的问题？</a>
					<div>
						问题描述 一个struts后台应用场景处理的问题? 前端有个超链接,如果连续多次点击比如双击时会发起多次action请求,而后台的action要求只接受第一次的处理,其他都要忽略,当然这个用前端控制点 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0bomm3p.html" rel="bookmark" class="title">解决php下多人同时操作数据表</a>
					<div>
						当同一时刻,多人对同一个表进行insert或者update的时候,往往会出现同一条数据出现好多次或者一些奇怪的问题,可以通过mysql的锁表机制来进行排队解决这个问题       php中插入数据之前 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XpmL1BM.html" rel="bookmark" class="title">影响产品成败的因素&comma;诠释做成功产品的秘诀</a>
					<div>
						文章描述:让我们的产品更成功. 文 / 马博 作者首先分析了影响产品成败的因素,然后对症下药,从战略.规划.战术三个层面,诠释了做一款成功产品的秘诀. 谈到&quot;成功&quot;和&quot;失 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LpdVqXb.html" rel="bookmark" class="title">Dreamweaver MX 2004视频宝典教程&lpar;98&rpar;</a>
					<div>
						dreamweaver|教程 第 98 集:Javascript自定义对象 课程目标:学习Javascript自定义对象 课程要点:本节介绍如何在Javascript中自定义对象. [全屏观看] |  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qzDRkOM.html" rel="bookmark" class="title">WebService服务和ajax使用教程</a>
					<div>
						ajax|web|教程 题外话: WebService技术已经有好几年的历史了,关于基础的理论知识,此处省去,不说了.最近被炒了的ajax技术也被滥用的很是严重,至于细节,不是我说的重点. ajax技 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM6rroM.html" rel="bookmark" class="title">浅谈网站SEO中h1和h2标签怎么用</a>
					<div>
						  对于H标签合理使用能对优化有很好的作用,那么H1,H2标签到底有多重要,怎么用,在什么地方使用,下面我围绕h1h2标签展开,说下我对H标签优化中标签的看法. 我们首先要明白h1,h2是什么.在HT ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pL6d5b.html" rel="bookmark" class="title">JUnit 4新断言：Hamcrest的常用方法</a>
					<div>
						一.字符相关匹配符 1.equalTo: assertThat(testedValue, equalTo(expectedValue)); 断言被测的testedValue等于expectedValu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNXRlb.html" rel="bookmark" class="title">在ASP&period;NET中使用AdRotator控件</a>
					<div>
						本文中,我们将看到两个例子,它们使用AdRotator服务器控件在一个页面上显示广告. 使用AdRotator服务器控件有以下几个步骤: 第一步 创建一个包含着广告细节的XML文件,比如说叫art00 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwlDdvb.html" rel="bookmark" class="title">android安全问题（七） 抢先接收广播</a>
					<div>
						现在给出第二步分的分析 下面就来看看发送广播的流程 Context中的sendBroadCast函数的 实现是在ContextImpl中,和发送广播相关的有如下六个函数 void android.ap ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxPNKRM.html" rel="bookmark" class="title">Dreamweaver 入门教程之创建页面</a>
					<div>
						从头创建自己的页面,可以使用 Dreamweaver起始页创建新页,或者可以选择&quot;文件&quot;&gt;&quot;新建&quot;,弹出如下对话框: 从各种预先设计的页面布局中选择一种. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY2y4lp.html" rel="bookmark" class="title">怎么查看Win8系统电脑的显卡配置参数</a>
					<div>
						怎么查看Win8系统电脑的显卡配置参数   方法一:这个方法是比较原始简单一点的,那就是通过右击&quot;我的电脑&quot;然后选择&quot;属性&quot;然后在&quot;硬件&quot;, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxW680b.html" rel="bookmark" class="title">Win8快速安装无线网卡的方法</a>
					<div>
						  一. 系统直接可以识别和使用(无需安装驱动程序) 由于Windows 8系统内部集成了许多网卡芯片的驱动,所以大部分无线网卡都可以直接在Windows 8系统上使用,无需手动安装驱动.具体使用方法 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6edQyb.html" rel="bookmark" class="title">QQ音乐怎么开启歌词写真模式和精简模式？</a>
					<div>
						  1.首先下载QQ音乐.点击立即下载即可. 2.开始安装QQ音乐,若在安装过程中出现错误,重新安装即可.安装完成后桌面上便有QQ音乐的图标,点击进入QQ音乐主页面. 3.进入了主页面,整体布局简易, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLm8aZz.html" rel="bookmark" class="title">消息队列入门（一）关于消息队列</a>
					<div>
						1.什么是消息队列 消息是指在两个独立的系统间传递的数据,这两个系统可以是两台计算机,也可以是两个进程. 消息可以非常简单,可以是简单的字符串,也可以是保存了数据持久化的各种类型的文档集合. 队列是在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRq9mkb.html" rel="bookmark" class="title">Zend的Registry机制</a>
					<div>
						项目过程中有很多全局变量, 需要全局存储,是否是使用全局变量来进行存储?那就弱爆了.Zend使用Registry机制(注册表)存储对象和值,是一个存储对象和值的容器. Zend_Registry这个类 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvrP1VM.html" rel="bookmark" class="title">代码-fopen 打开文件失败 求教</a>
					<div>
						问题描述 fopen 打开文件失败 求教 嵌入式linux ,我有一个进程reload ,里面不断去读取一些文件,但开机大概一个里后,就总是出错代码如下: fp = fopen(&quot;/proc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA7KvKz.html" rel="bookmark" class="title">在Form窗体中，this的应用</a>
					<div>
						背景:         在BHHT_Bill界面中点击某个按钮时,弹出BHZX界面,并在BHZX界面中输入值,然后将BHZX界面中输入的值传递回BHHT_Bill界面. 在BHHT_Bill界面中:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRVwDz.html" rel="bookmark" class="title">linux下64位汇编的系统调用&lpar;1&rpar;</a>
					<div>
						现在基本上系统都是64位了,而64位系统下的汇编和32位有了较大的变化,无论是系统调用的接口还是C标准库的接口都和32位汇编有所不同:下面简单谈一下在64位linux下如何利用汇编直接调用系统调用.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7ZZYdp.html" rel="bookmark" class="title">eclipse c&plus;&plus;-Eclipse下开发C&plus;&plus;的项目出现问题&colon;</a>
					<div>
						问题描述 Eclipse下开发C++的项目出现问题: Eclipse下开发C++的项目出现问题: A program file was not specified in the launch conf ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pke1nwb.html" rel="bookmark" class="title">大三男生网上建后宫称&OpenCurlyDoubleQuote;帝&rdquo; 17岁女孩建&OpenCurlyDoubleQuote;青楼群&rdquo;</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 &quot;天朝王国&quot;的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwW43kz.html" rel="bookmark" class="title">腾讯闪婚58同城，腾讯这是为哪般？</a>
					<div>
						现在在互联网圈中,八卦.绯闻.调侃其实并不少见.不过这一次,58同城这个神奇的网站,竟然是神奇地绕开了大家的视线,和腾讯迅速闪婚了.而这一切,又是毫无征兆,可是又显得是那么的有理可循.这样一个神奇的网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRND3b.html" rel="bookmark" class="title">js代码得到以图片的地址url，有没有办法用php代码下载url下的图片</a>
					<div>
						问题描述 js代码得到以图片的地址url,有没有办法用php代码下载url下的图片 &lt;!DOCTYPE html&gt; 普通地图&amp;全景图 body, html{width: 100%; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3JN20z.html" rel="bookmark" class="title">与巩俐秘密离婚？黄和祥：传闻是那样就那样吧</a>
					<div>
						本报讯(实习生 吴洋)巩俐1996年与新加坡商人黄和祥结婚后,婚变传闻一直不断,近日,有媒体报道,巩俐和黄和祥两人因聚少离多,早在一年前就协议离婚.昨日,巩俐经纪人曾敬超以&quot;不予置评!&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK5xN7p.html" rel="bookmark" class="title">Spark之wordcount程序（Java Scala）</a>
					<div>
						1.Java /** 使用java开发本地测试的wordcount程序 @author Administrator * */ public class WordCountLocal { public  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjxqWM.html" rel="bookmark" class="title">北京两国企合并组建中国最大汽车服务贸易公司</a>
					<div>
						新华网北京12月18日电 (记者 岳瑞芳) 北京祥龙资产经营有限责任公司和北京市物资总公司18日宣布实施合并重组.据悉,重组后的祥龙公司总资产将达80亿元,成为中国最大的汽车服务和道路运输企业集团.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bod5mvM.html" rel="bookmark" class="title">．NET操作Excel</a>
					<div>
						一.读取Excel数据,并显示 1.配置文件 &lt;configuration&gt;     &lt;system.web&gt;         &lt;compilation debug=&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyekVZM.html" rel="bookmark" class="title">link中运用私有化变量会不会造成数据冲突化的发生？相关的机制是什么呢？</a>
					<div>
						问题描述 link中运用私有化变量会不会造成数据冲突化的发生?相关的机制是什么呢? link中运用私有化变量会不会造成数据冲突化的发生?相关的机制是什么呢? 解决方案 既然是私有的变量,哪里来的冲突呢 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQK3Qp.html" rel="bookmark" class="title">Mysql授权远程访问</a>
					<div>
						  Mysql授权远程访问        在安装mysql的机器上运行:  1.d:\mysql\bin\&gt;mysql -h localhost -u root  //这样应该可以进入MySQL ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKqxeZp.html" rel="bookmark" class="title">php传值赋值和传地址赋值用法实例分析&lowbar;php技巧</a>
					<div>
						本文实例讲述了php传值赋值和传地址赋值用法.分享给大家供大家参考.具体如下: &lt;?php $name = 'Simon'; //对变量$name进行赋值(传值赋值) $name_b = $na ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
